List Contacts

GET
https://reloop.sh/api/contacts/list

Query Parameters

pagenumberdefault: 1
  • Minimum value: 1
limitnumberdefault: 100
  • Minimum value: 1
  • Maximum value: 100
searchstring

Search by email

status"subscribed""unsubscribed""blocked"

Possible values: subscribed | unsubscribed | blocked

import { Reloop } from "reloop-email";

const reloop = new Reloop({ apiKey: "rl_123456789" });

const { response: contacts, error } = await reloop.contacts.list({
  page: 1,
  limit: 10,
  status: "subscribed",
});
if (error) throw error;
{
  "object": "contact",
  "contacts": [
    {
      "object": "contact",
      "id": "con_123456789",
      "email": "john.doe@example.com",
      "firstName": "John",
      "lastName": "Doe",
      "status": "subscribed",
      "properties": {
        "company": "Reloop",
        "role": "Developer"
      },
      "groups": [
        {
          "id": "grp_123",
          "name": "Beta Testers"
        }
      ],
      "channels": [
        {
          "id": "tpc_123",
          "name": "Newsletter",
          "subscription": "opt_in"
        }
      ],
      "suppressionReason": null,
      "suppressedAt": null,
      "createdAt": "2026-03-23T10:00:00Z",
      "updatedAt": "2026-03-23T10:00:00Z"
    }
  ],
  "total": 1,
  "page": 0,
  "limit": 0,
  "totalContacts": 0,
  "subscribedContacts": 0,
  "unsubscribedContacts": 0,
  "event": "evt_123456789"
}

Was this page helpful?

Edit this page